{**********************************************************************
* ProxmoxAddon product developed. (2015-08-12)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div class="col-lg-12" id="pmtemplatesContent">
    <legend>{$MGLANG->T('header','Create Template')} \ {$server.name} </legend>
    {if $info}
        <div class="row-fluid">
            <div class="span12">
                <div class="alert alert-info">{$info}</div>
            </div>
        </div>
    {/if}
    {if $error}
        <div class="alert alert-danger" >
            <button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only"></span></button>
            <strong>{$error}</strong>
        </div>
    {elseif $success}
        <div class="row-fluid">
            <div class="span12">
                <div class="alert alert-success">{$success}</div>
            </div>
        </div>
    {/if}
    <div class="row-fluid">
        <div class="span12">
            <div class="alert alert-info">{$MGLANG->T('VM will be converted to a template.')}</div>
        </div>
    </div>
    <form class="form-horizontal"  method="post">

        <input type="hidden" name="mg-action" value="createTemplateProcess"/>
        <input type="hidden" name="serverID" value="{$server.id}"/>    

        <div class="form-group">
            <label for="nodes" class="col-sm-2 control-label">{$MGLANG->T('Node')}</label>
            <div class="col-sm-10">
                <select class="form-control" name="template[node]" id="nodes">
                    <option></option>
                    {foreach from=$nodes item=node  }
                        <option value="{$node}" >{$node}</option>
                    {/foreach}
                </select> 
            </div>
        </div>
        <div class="form-group">
            <label for="vms" class="col-sm-2 control-label">{$MGLANG->T('VM')}</label>
            <div class="col-sm-10">
                <select  class="form-control" name="template[vmid]" id="vms">
                    <option class="vmempty"></option>
                    {foreach from=$vms item=vm }
                        <option class="{$vm.node}" value="{$vm.vmid}"  style="display:none;" >{$vm.vmid} {$vm.name}</option>
                    {/foreach}
                </select> 
            </div>
        </div>
        <div class="form-group">
            <label for="inputDescription" class="col-sm-2 control-label">{$MGLANG->T('Template Friendly Name')}</label>
            <div class="col-sm-10">

                <input type="text" name="template[description]" id="inputDescription" class="form-control" />
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-success">{$MGLANG->T('button','Save Changes')}</button>
            </div>
        </div>
    </form>
{literal}
    <script type="text/javascript">
        $(document).ready(function () {
            $("#nodes").change(function () {
                var node;
                $("#nodes option:selected").each(function () {
                    node = $(this).val();
                });

                $("#vms option").each(function () {
                    $(this).attr('class');
                    if ($(this).attr('class') != node && $(this).attr('class') != "vmempty")
                        $(this).hide();
                    else
                        $(this).show();
                });

                $(".vmempty").show().attr("selected", "selected");
                ;

            });
        });
    </script>
{/literal}
</div>   
