{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}

</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-backup"></i>
        <h1>{$_LANG.cloud.backup}</h1>
        <p>{$_LANG.backup.description}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table table-app">
                <thead>
                    <tr>
                        <th>{$_LANG.cloud.backupDate}</th>
                        <th>{$_LANG.cloud.backup_format}</th>
                        <th>{$_LANG.cloud.backup_size}</th>
                        <th style="width:80px; text-align: center;">{$_LANG.cloud.backup_actions}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$backups item=backup}
                        <tr>
                            <td class="cell-sm-12"> {$backup.date} {$backup.hour} </td>
                            <td class="cell-sm-12">{$backup.format}</td>
                            <td class="cell-sm-12">{$backup.size|MG_formatBytes}</td>
                            <td class="cell-sm-12 cell-actions"> 
                                <a class="btn btn-icon pm_restore" href="#" data-toggle="modal" data-target="#pm-modal-restore" data-modal-target="{$backup.volid}" data-modal-title="{$backup.date} {$backup.hour}" title="{$_LANG.cloud.restore}">
                                    <i class="fa fa-repeat"></i>
                                </a>

                                <a class="btn btn-icon pm_delete" data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$backup.volid}" data-modal-title="{$backup.date} {$backup.hour}" title="{$_LANG.cloud.delete}">
                                    <i class="fa fa-trash"></i>
                                </a>
                            </td>
                        </tr>
                    {/foreach}
                    <tr id="so_empty_rules" {if $backups|@count !=0}  style="display:none;"{/if}>
                        <td colspan="12" style="text-align:center;">
                            {$_LANG.backup.empty}
                        </td>
                    </tr> 
                </tbody>
            </table>

            {if $create}
                <div style="text-align: right;" >
                    <button class="btn btn-success" data-toggle="modal" data-target="#pm-modal-add"> {$_LANG.cloud.backup_new} </button>
                </div>   
            {/if}
            <br/><br/>


            <!-- pm-modal-add-->
            <div class="modal fade" id="pm-modal-add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header">{$_LANG.backup.add_new}</h4>
                            </div>
                            <div class="modal-body">                  
                                {if $backupRouting=="Yes" && $backupsFilesLimit!="0"}
                                    <div class="alert alert-warning"> {$_LANG.cloud.msg_backup_routing|replace:'%d':$backupsFilesLimit}</div>
                                {/if}
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:30%;"> 
                                            <label for="pm-compress" class="control-label" style="display:inline;float:none;" >{$_LANG.cloud.backup_compress}:  </label>
                                        </td>
                                        <td>
                                            <select name="backup[compress]" id="pm-compress">
                                                <option value="0">None</option>
                                                <option value="lzo" >LZO (fast)</option>
                                                <option value="gzip">GZIP (good)</option>
                                            </select>
                                        </td>
                                    </tr> 
                                    <tr>
                                        <td style="width:30%;"> 
                                            <label for="pm-mode" class="control-label" style="display:inline;float:none;">{$_LANG.cloud.backup_mode}: </label>
                                        </td>
                                        <td>
                                            <select name="backup[mode]" id="pm-mode">
                                                <option value="snapshot">Snapshot</option>
                                                <option value="suspend" >Suspend</option>
                                                <option value="stop">Stop</option>
                                            </select>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="create" >{$_LANG.general.add}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            {*Delete one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.backup.labelDelete} <strong></strong></h4>
                            </div>
                            
                            <input type="hidden" name="volume" value="" id="pm-modal-delete-target">
                            <div  style="margin: 30px;  margin-top: 50px;  text-align: center;"> 
                                <div>{$_LANG.backup.delete} </div>
                            </div>
                            <div class="modal-loader" style="display:none"></div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$_LANG.cloud.delete}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            {*Restore*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-restore" tabindex="-1" role="dialog" aria-labelledby="pm-modal-restore-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-restore-label">{$_LANG.backup.labelRestore} <strong></strong></h4>
                            </div>
                            
                            <input type="hidden" name="volume" value="" id="pm-modal-restore-target">
                            <div  style="margin: 30px; margin-top: 50px; text-align: center;"> 
                                <div>{$_LANG.cloud.backup_restore_info} </div>
                            </div>
                            <div class="modal-loader" style="display:none"></div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-primary"    name="subaction"   value="restore" >{$_LANG.cloud.restore}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div

        </div>
    </div>




</div>
</div>


{literal}
    <script type="text/javascript">
        $(document).ready(function () {

            $(".pm_restore").click(function () {
                $("#pm-modal-restore-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-restore-label strong").html($(this).attr('data-modal-title'));
            });

            $(".pm_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });


        });
    </script>
{/literal}