{**********************************************************************
* Proxmox product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-firewall"></i>
        <h1>{$_LANG.firewall.header}</h1>
        <p>{$_LANG.firewall.description}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <div style="overflow: auto ;  margin-bottom:15px; ">
                <table class="table table-app">
                    <thead>
                        <tr>
                            <th>{$_LANG.firewall.enable}</th>
                            <th>{$_LANG.firewall.type} </th>
                            <th>{$_LANG.firewall.action}</th>
                            <th>{$_LANG.firewall.macro}</th>
                            <th>{$_LANG.firewall.interface}</th>
                            <th>{$_LANG.firewall.source}</th>
                            <th>{$_LANG.firewall.destination} </th>
                            <th>{$_LANG.firewall.protocol}</th>
                            <th>{$_LANG.firewall.dest_port}</th>
                            <th>{$_LANG.firewall.source_port}</th>
                            <th>{$_LANG.firewall.comment}</th>
                            <th style="width:80px; text-align: center;"> {$_LANG.firewall.actions}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach from=$rules item=rule}
                            <tr>
                                <td class="cell-sm-12"><input type="checkbox" name="editRule[enable]" class="editRule_enable" data-pos="{$rule->pos}"  value="{$rule->enable}" {if $rule->enable} checked{/if} /> 
                                    &nbsp <span class="so_loading" style="display:none;"><i class="loader-small"></i></span>
                                </td>
                                <td class="cell-sm-12">&nbsp;{$rule->type}</td>
                                <td class="cell-sm-12">&nbsp;{$rule->action}</td>
                                <td class="cell-sm-12">&nbsp;{$rule->macro}</td>
                                <td class="cell-sm-12">&nbsp;{$rule->iface}</td>
                                <td class="cell-sm-12">&nbsp;{$rule->source} </td>
                                <td class="cell-sm-12">&nbsp;{$rule->dest}</td>
                                <td class="cell-sm-12">&nbsp;{$rule->proto}</td>
                                <td class="cell-sm-12">&nbsp;{$rule->dport}  </td>
                                <td class="cell-sm-12">&nbsp;{$rule->sport}   </td>
                                <td class="cell-sm-12">{$rule->comment}&nbsp;</td>
                                <td class="cell-sm-12 cell-actions" style="text-align: center;"> 
                                    <a href="#" class="btn btn-icon {if $rule->type eq "group"}so_edit_group_rule{else}so_edit_rule{/if}" 
                                       data-enable="{$rule->enable}" data-pos="{$rule->pos}" data-type="{$rule->type}" data-action="{$rule->action}" data-macro="{$rule->macro}" data-iface="{$rule->iface}" data-source="{$rule->source}"
                                       data-dest="{$rule->dest}" data-proto="{$rule->proto}" data-dport="{$rule->dport}" data-sport="{$rule->sport}"  data-comment="{$rule->comment}"
                                       {if $rule->type eq "group"} data-target="#pm-security-group" {else} data-target="#pm-add-rule" {/if} data-toggle="modal" title="{$_LANG.general.edit}" >
                                        <i class="fa fa-pencil"></i>
                                    </a>
                                    <a class="btn btn-icon so_delete" href="#"  data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$rule->pos}" data-modal-title="{$rule->pos}"  title="{$_LANG.cloud.delete}">
                                        <i class="fa fa-trash"></i>
                                    </a>
                                </td>
                            </tr>
                        {/foreach}
                        <tr id="so_empty_rules" {if $rules|@count !=0}  style="display:none;"{/if}>
                            <td colspan="12" style="text-align:center;">
                                {$_LANG.firewall.empty}
                            </td>
                        </tr> 
                    </tbody>
                </table>
            </div>

            {if !$rulesLimit || ( $rulesLimit > $rules|@count)}
                <div style="text-align: center;" >
                    <button class="btn btn-success" data-toggle="modal" data-target="#pm-add-rule" id="so_button_add_rule"> {$_LANG.firewall.add} </button>
                    <button class="btn btn-success" data-toggle="modal" data-target="#pm-security-group" id="so_button_add_group_rule"> {$_LANG.firewall.add_group} </button>
                </div>   
            {/if}
            <br/><br/>

            <!-- Modal add/edit rule  -->
            <div class="modal fade " id="pm-add-rule" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" >
                <form method="post">
                    <input type="hidden" name="firewall[pos]" id="firewall_pos" class="mondal_inputs" value=""/>
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal_header">{$_LANG.firewall.add_rule}</h4>
                            </div>
                            <div class="modal-body">
                                <div class="modal-alerts">
                                     <div class="alertContainer">
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-danger" role="alert">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                                <a style="display:none;" class="errorID" href=""></a>
                                            </div>
                                        </div>
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-success">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                            </div>
                                        </div>
                                    </div>
                                 </div>
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewall_type" class="control-label" style="display:inline;float:none;">{$_LANG.firewall.direction}: </label>
                                        </td>
                                        <td>
                                            <select name="firewall[type]" id="firewall_type" style="width: 220px; margin-bottom: -1px;" class="mondal_inputs">
                                                {foreach from=$directions item=direct key=k}
                                                    <option value="{$k}">{$direct}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                        <td style="width:25%;"> 
                                            <label for="firewall_enable" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.enable}:  </label>
                                        </td>
                                        <td>
                                            <input type="checkbox" name="firewall[enable]" id="firewall_enable" value="1" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewall_action" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.action}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewall[action]" id="firewall_action" style="width: 220px; margin-bottom: -1px;" class="mondal_inputs">
                                                {foreach from=$action_select item=it key=k}
                                                    <option value="{$k}">{$it}</option>
                                                {/foreach}
                                            </select>
                                        </td>

                                        <td style="width:25%;"> 
                                            <label for="firewall_macro" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.macro}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewall[macro]" id="firewall_macro" style="max-width: 220px;" class="mondal_inputs">
                                                <option value=""></option>
                                                {foreach from=$macros item=macro}
                                                    <option value="{$macro->macro}">{$macro->macro} - {$macro->descr}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewall_iface" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.interface}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewall[iface]" id="firewall_iface" style="width: 220px;" class="mondal_inputs">
                                                {foreach from=$ifaces item=iface key=k}
                                                    <option value="{$k}">{$iface}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                        <td style="width:25%;"> 
                                            <label for="firewall_proto" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.protocol}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewall[proto]" id="firewall_proto" style="width: 220px; margin-bottom: -1px;" class="protocol_options mondal_inputs">
                                                <option value=""></option>
                                                {foreach from=$protocols item=it key=k}
                                                    <option value="{$k}">{$k} {$it}</option>
                                                {/foreach}
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewall_source" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.source}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewall[source]" id="firewall_source" style="width: 220px; margin-bottom: -1px;" class="mondal_inputs">
                                                <option value=""></option>
                                                {foreach from=$refs item=ref key=k}
                                                    <option value="{$ref->ref}">{$ref->type} - {$ref->name} {if $ref->comment} ({$ref->comment}){/if}</option>
                                                {/foreach} 
                                            </select>
                                        </td>

                                        <td style="width:25%;"> 
                                            <label for="firewall_sport" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.source_port}:  </label>
                                        </td>
                                        <td>
                                            <input type="text" name="firewall[sport]" id="firewall_sport" style="width:100%;" value="" class="protocol_options mondal_inputs"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewall_dest" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.destination}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewall[dest]" id="firewall_dest" style="width: 220px; margin-bottom: -1px;" class="mondal_inputs">
                                                <option value=""></option>
                                                {foreach from=$refs item=ref key=k}
                                                    <option value="{$ref->ref}">{$ref->type} - {$ref->name} {if $ref->comment} ({$ref->comment}){/if}</option>
                                                {/foreach} 
                                            </select>
                                        </td>

                                        <td style="width:25%;"> 
                                            <label for="firewall_dport" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.dest_port}:  </label>
                                        </td>
                                        <td>
                                            <input type="text" name="firewall[dport]" id="firewall_dport" value="" style="width:100%;" class="protocol_options mondal_inputs" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewall_comment" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.comment}:  </label>
                                        </td>
                                        <td colspan="3">
                                            <input type="text" name="firewall[comment]" id="firewall_comment" value="" style="width:100%; margin-bottom: -1px;" class="mondal_inputs"/>
                                        </td>
                                    </tr>
                                </table>
                                <div class="modal-loader" style="display:none;"></div>
                            </div>
                            <div class="modal-footer">
                                <input type="hidden" name="subaction" value="createRule" id="pm-modal-rule-subaction" />
                                <input type="submit" class="btn btn-primary mg-save" id="modal_button_submit"  value="{$_LANG.general.add}" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.firewall.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <!-- pm-security-group -->
            <div class="modal fade" id="pm-security-group" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <form method="post">
                    <input type="hidden" name="firewallGroup[pos]" id="firewallGroup_pos" class="mondal_inputs" value=""/>
                    <input type="hidden" name="firewallGroup[type]" id="firewallGroup_type" value="group"/>
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <h4 id="modal2_header">{$_LANG.firewall.add_group}</h4>
                            </div>
                            <div class="modal-body">
                                <div class="modal-alerts">
                                     <div class="alertContainer">
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-danger" role="alert">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                                <a style="display:none;" class="errorID" href=""></a>
                                            </div>
                                        </div>
                                        <div class="alertPrototype" style="display:none;">
                                            <div class="alert alert-success">
                                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                                <p></p>
                                            </div>
                                        </div>
                                    </div>
                                 </div>
                                <table class="table table-bordered table-striped" style="width:100%; margin-top:10px;">
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewallGroup_action" class="control-label" style="display:inline;float:none;">{$_LANG.firewall.security_group}: </label>
                                        </td>
                                        <td>
                                            <select name="firewallGroup[action]" id="firewallGroup_action" style="width: 220px; margin-bottom: -1px;" class="mondal_inputs">
                                                {foreach from=$groups item=group key=k}
                                                    <option value="{$group->group}">{$group->group}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewallGroup_iface" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.interface}:  </label>
                                        </td>
                                        <td>
                                            <select name="firewallGroup[iface]" id="firewallGroup_iface" style="width: 220px;" class="mondal_inputs">
                                                {foreach from=$ifaces item=iface key=k}
                                                    <option value="{$k}">{$iface}</option>
                                                {/foreach}   
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewallGroup_enable" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.enable}:  </label>
                                        </td>
                                        <td>
                                            <input type="checkbox" name="firewallGroup[enable]" id="firewallGroup_enable" value="1" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width:25%;"> 
                                            <label for="firewallGroup_comment" class="control-label" style="display:inline;float:none;" >{$_LANG.firewall.comment}:  </label>
                                        </td>
                                        <td>
                                            <input type="text" name="firewallGroup[comment]" id="firewallGroup_comment" value="" style="width: 210px; margin-bottom: -1px;" class="mondal_inputs"/>
                                        </td>
                                    </tr>
                                </table>
                                <div class="modal-loader" style="display:none;"></div>
                            </div>
                            <div class="modal-footer">
                                <input type="hidden" name="subaction" value="createGroup" id="pm-modal-security-subaction" />
                                <input type="submit" class="btn btn-primary mg-save" name="gotohell" id="modal2_button_submit"  value="{$_LANG.general.add}" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.firewall.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            {*Delete one*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.firewall.labelDelete} <strong></strong></h4>
                            </div>
                            <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                            <div  style="margin: 30px;  margin-top: 50px;  text-align: center;"> 
                                <div>{$_LANG.firewall.delete} </div>
                            </div>
                            <div class="modal-loader" style="display:none"></div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$_LANG.cloud.delete}</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>

{literal}
    <script type="text/javascript">

        var so_text_header_add = "{/literal}{$_LANG.firewall.add_rule}{literal}";
        var so_text_header_edit = "{/literal}{$_LANG.firewall.edit_rule}{literal}";
        var so_text_header_group_add = "{/literal}{$_LANG.firewall.add_group}{literal}";
        var so_text_header_group_edit = "{/literal}{$_LANG.firewall.edit_group}{literal}";
        var so_text_add = "{/literal}{$_LANG.general.add}{literal}";
        var so_text_ok = "{/literal}{$_LANG.general.ok}{literal}";
        var so_text_edit = "{/literal}{$_LANG.general.edit}{literal}";

        $(document).ready(function () {


            function proxmox_clear_inputs() {
                $(".mondal_inputs").each(function () {
                    $(this).val('');
                    if ($(this).attr("disabled"))
                        $(this).attr("disabled", false);
                    if ($(this).attr("checked"))
                        $(this).attr("checked", false);
                    if ($(this).size("#firewall_enable"))
                        ;
                    $("#firewall_enable").attr('checked', false);
                    if ($(this).size("#firewallGroup_enable"))
                        ;
                    $("#firewallGroup_enable").attr('checked', false);

                });
            }
            //Delete rule
            $(".so_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });

            //Enable or disable rule
            $(".editRule_enable").change(function () {
                var td = $(this).closest('td');
                var tr = $(this).closest('tr');
                var checkbox = $(this);
                checkbox.attr('disabled', true);
                var loading = $(td).find(".so_loading");
                var pos = $(this).attr('data-pos');
                var enable = $(this).is(':checked') ? "1" : "0";

                var data = {
                    "pos": $(this).attr('data-pos'),
                    "enable": $(this).is(':checked') ? "1" : "0"
                }

                JSONParser.request(
                        'tongleRule'
                        , data
                        , function (data) {
                            checkbox.attr('disabled', false);
                            if ($(tr).size(".so_edit_group_rule"))
                                $(tr).find(".so_edit_group_rule").attr("data-enable", enable);
                            if ($(tr).size(".so_edit_rule"))
                                $(tr).find(".so_edit_rule").attr("data-enable", enable);
                        },
                        loading
                        , function (data) {
                            if (data.error)
                                jQuery('#MGAlerts').alerts('danger', data.error);
                            checkbox.attr('disabled', false);
                        });

                return false;

            });

            //New Rule 
            $("#so_button_add_rule").click(function () {
                $("#modal_header").html(so_text_header_add);
                $("#modal_button_submit").val(so_text_add);
                proxmox_clear_inputs();
                $("#firewall_pos").attr('disabled', true);
                $("#pm-modal-rule-subaction").val('createRule');
            });
            // Macro
            $("#firewall_macro").change(function () {
                var option = $(this).val();
                if (option != "") {
                    $(".protocol_options").attr("disabled", true);
                } else {
                    $(".protocol_options").attr("disabled", false);
                }
            });

            //Edit Rule
            $(".so_edit_rule").click(function () {
                proxmox_clear_inputs();
                var pos = $(this).attr('data-pos');
                var type = $(this).attr('data-type');
                var action = $(this).attr('data-action');
                var macro = $(this).attr('data-macro');
                if (macro != "")
                    $(".protocol_options").attr("disabled", true);
                var iface = $(this).attr('data-iface');
                var source = $(this).attr('data-source');
                var dest = $(this).attr('data-dest');
                var proto = $(this).attr('data-proto');
                var dport = $(this).attr('data-dport');
                var sport = $(this).attr('data-sport');
                var comment = $(this).attr('data-comment');
                var enable = $(this).attr('data-enable');

                $("#modal_header").html(so_text_header_edit);
                $("#modal_button_submit").val(so_text_ok);
                $("#firewall_pos").attr('disabled', false);
                $("#firewall_pos").val(pos);
                $("#firewall_type").val(type);
                $("#firewall_action").val(action);
                $("#firewall_macro").val(macro);
                $("#firewall_iface").val(iface);
                $("#firewall_source").val(source);
                $("#firewall_dest").val(dest);
                $("#firewall_proto").val(proto);
                $("#firewall_dport").val(dport);
                $("#firewall_sport").val(sport);
                $("#firewall_comment").val(comment);

                if (enable == 1)
                    
                enable == 1 ? $("#firewall_enable").prop('checked', true)  :  $("#firewall_enable").prop('checked', fasle);
            
                $("#pm-modal-rule-subaction").val('editRule');
            });

            //New Group Rule
            $("#so_button_add_group_rule").click(function () {
                $("#modal2_header").html(so_text_header_group_add);
                $("#modal2_button_submit").val(so_text_add);
                proxmox_clear_inputs();
                $("#firewallGroup_pos").attr("disabled", true);
                $("#pm-modal-security-subaction").val('createGroup');
            });

            //Edit Group Rule
            $(".so_edit_group_rule").click(function () {
                proxmox_clear_inputs();
                var pos = $(this).attr('data-pos');
                var action = $(this).attr('data-action');
                var comment = $(this).attr('data-comment');
                var enable = $(this).attr('data-enable');
                var iface = $(this).attr('data-iface');
                $("#modal2_header").html(so_text_header_group_edit);
                $("#modal2_button_submit").val(so_text_ok);
                $("#firewallGroup_pos").attr('disabled', false);
                $("#firewallGroup_pos").val(pos);
                $("#firewallGroup_action").val(action);
                $("#firewallGroup_comment").val(comment);
                $("#firewallGroup_iface").val(iface);
                if (enable == 1)
                    $("#firewallGroup_enable").prop('checked', true);
                $("#pm-modal-security-subaction").val('editGroup');
            });
            
            $("#pm-add-rule .mg-save").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        $("#pm-modal-rule-subaction").val()
                        ,$("#pm-add-rule form").serialize()
                , function (data) { //success
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    if(data.modalSuccess)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.modalSuccess);
                    window.location.reload();
                }, "#pm-add-rule .modal-loader");
            });
            
            $("#pm-security-group .mg-save").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        $("#pm-modal-security-subaction").val()
                        ,$("#pm-security-group form").serialize()
                , function (data) { //success
                    
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    if(data.modalSuccess)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.modalSuccess);
                    window.location.reload();
                }, "#pm-security-group .modal-loader");
            });
        });
    </script>
{/literal}