{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-graphs"></i>
        <h1>{$_LANG.cloud.graphs}</h1>
        <div  align="right" style="margin-top: -35px;"> 
            <span id="pm-graph-loader" style="display: none; margin-right: 20px;"><i class="loader-small"></i></span>
            <select name="timeframe" id="pm-timeframe">
                <option value="hour" {if $timeframeSelected eq "hour"} selected{/if}>{$_LANG.cloud.hour}</option>
                <option value="day" {if $timeframeSelected eq "day"} selected{/if}>{$_LANG.cloud.day}</option>
                <option value="week" {if $timeframeSelected eq "week"} selected{/if}>{$_LANG.cloud.week}</option>
                <option value="month" {if $timeframeSelected eq "month"} selected{/if}>{$_LANG.cloud.month}</option>
                <option value="year" {if $timeframeSelected eq "year"} selected{/if}>{$_LANG.cloud.year}</option>
            </select>

        </div>
        <p style="margin-top: 15px;">{$_LANG.graph.description}</p>
    </div>

    <div class="module-body">
        <div class="section"> 
            <div class="bs-docs-example so_graph_cpu">
                {$cpuImg|htmlspecialchars_decode}
            </div>
            <div class="bs-docs-example so_graph_mem">
                {$memImg|htmlspecialchars_decode}
            </div>
            <div class="bs-docs-example so_graph_net">
                {$netImg|htmlspecialchars_decode}
            </div>
            <div class="bs-docs-example so_graph_disk">
                {$diskImg|htmlspecialchars_decode}
            </div>
        </div>
    </div>
</div>



{literal}
    <style type="text/css">

        .bs-docs-example:after {background-color: #F5F5F5;border: 1px solid #DDDDDD;border-radius: 4px 0 4px 0;color: #9DA0A4;font-size: 12px;font-weight: bold;left: -1px;padding: 3px 7px;position: absolute;top: -1px;}
        .bs-docs-example {background-color: #FFFFFF;border: 1px solid #DDDDDD;border-radius: 4px 4px 4px 4px;margin: 15px 0;padding: 39px 19px 14px;position: relative;}
        .bs-docs-example img {width:700px; margin: 0 auto;display:block;}
        .so_graph_cpu:after {content: "{/literal}{$_LANG.cloud.graph_cpu}{literal}";}
        .so_graph_mem:after {content: "{/literal}{$_LANG.cloud.graph_mem}{literal}";}
        .so_graph_net:after {content: "{/literal}{$_LANG.cloud.graph_net}{literal}";}
        .so_graph_disk:after {content: "{/literal}{$_LANG.cloud.graph_disk}{literal}";}

    </style>
    <script type="text/javascript">

        function pmGraphReload() {
            JSONParser.request(
                    'reload'
                    , {
                        "timeframe": $("#pm-timeframe").val()
                    }
            , function (data) {
                $(".so_graph_cpu").html(data.cpuImg);
                $(".so_graph_mem").html(data.memImg);
                $(".so_graph_net").html(data.netImg);
                $(".so_graph_disk").html(data.diskImg);
            },
                    "#pm-graph-loader");
        }
        $(document).ready(function () {


            $('#pm-timeframe').change(function (e) {
                e.preventDefault();
                pmGraphReload();
            });

            setInterval("pmGraphReload()", 60000);

        });
    </script>
{/literal}