{**********************************************************************
* ProxmoxCloud product developed. (2015-08-07)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">{$closeChar}</span><span class="sr-only"></span></button>
                    {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">{$closeChar}</span><span class="sr-only"></span></button>
                    {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}

</div>

<div class="module-header">
    <i class="icon-header icon-vps-list"></i>
    <h1 style="text-align: left">{$_LANG.cloud.your_virtual_servers}</h1>
    <p style="text-align: left">{$_LANG.home.description}</p>
</div>


<table class="table table-hover" style="width:100%;">
    <thead>
        <tr>
            <td style="text-align: left"><strong>{$_LANG.cloud.hostname}</strong></td>
            <td style="text-align:center !important;"><strong>{$_LANG.cloud.status}</strong></td>
            <td style="text-align:center !important;"><strong>{$_LANG.actions}</strong></td>
        </tr>
    </thead>
    <tbody>
        {foreach from=$vservers  item=servers}
            <tr>
                <td style="text-align: left"><a href="{$managementURL}&page=manageVM&vm={$servers.id}">{$servers.hostname}</a></td>
                <td style="width:50px;text-align:center;">
                    {if $servers.status eq "running"} 
                        <i class="icon-status_green"  title="{$MGLANG->T($servers.status)}"></i>
                    {else}
                        <i class="icon-status_red" title="{$MGLANG->T($servers.status)}"></i>
                    {/if}</td>
                <td style="width:200px;text-align:center;">                                 
                    <a href="{$managementURL}&page=manageVM&vm={$servers.id}" class="btn btn-icon "  title="{$_LANG.cloud.manage}" >
                        <i class="fa fa-server"></i>
                    </a>
                    {if $isDeleteButton}
                        <a class="btn btn-icon pm-pre-delete" href="#"  data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$servers.id}" data-modal-title="{$servers.hostname}"  title="{$_LANG.cloud.delete}">
                            <i class="fa fa-trash"></i>
                        </a>
                    {/if}
                </td>
            </tr>
        {foreachelse}
            <tr>
                <td colspan="3">{$_LANG.cloud.no_virtual_servers}</td>
            </tr>
        {/foreach}
    </tbody>
</table>
<div style="text-align:right;margin-bottom:10px;">
    <a href="{$managementURL}&subaction=addvm" class="btn btn-success" >
        {$_LANG.cloud.add_new_server}
    </a>
    {if $per_privateNetwork && ($virtualization_type=="KVM" || $virtualization_type=="LXC")}
         <a href="{$managementURL}&page=privateNetwork" class="btn btn-success" >
            {$MGLANG->T('Private Network  Management')}
         </a>
    {/if}
    {if $per_privateNetwork && ($virtualization_type=="KVM")}
         <a href="{$managementURL}&page=templates" class="btn btn-success" >
            {$MGLANG->T('Templates')}
         </a>
    {/if}
</div>

<h4 class="text-center mb-20">{$_LANG.cloud.your_resources}</h4>

<div class="pm-resource-name">{$_LANG.cloud.cpu_cores}</div>
<div  class="pm-resource-description">
    {$resources.cpu_cores.used} {$_LANG.general.graph_of}  {if $resources.cpu_cores.total == "0" || $resources.cpu_cores.total == ""} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.cpu_cores.total} </strong> {$_LANG.general.graph_used} /   {$resources.cpu_cores.free} {$_LANG.general.graph_free}{/if} 
</div>
<div class="progress pm-resource-usege">
    <div class="progress-bar {if $resources.cpu_cores.percent >=90}progress-bar-danger{elseif $resources.cpu_cores.percent <=90 && $resources.cpu_cores.percent >=70}progress-bar-warning{elseif $resources.cpu_cores.percent <=70}progress-bar-success{/if}" 
         role="progressbar" aria-valuenow="{$resources.cpu_cores.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.cpu_cores.percent}%;">
        {$resources.cpu_cores.percent}%
    </div>
</div>

{if $virtualization_type=="KVM"}
    <div class="pm-resource-name">{$_LANG.cloud.sockets}</div>
    <div  class="pm-resource-description">
        {$resources.sockets.used} {$_LANG.general.graph_of}  {if $resources.sockets.total == "0" || $resources.sockets.total == "" ||$resources.sockets.total == "0 B"} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.sockets.total} </strong> {$_LANG.general.graph_used} /   {$resources.sockets.free} {$_LANG.general.graph_free}{/if}
    </div>
    <div class="progress pm-resource-usege">
        <div class="progress-bar {if $resources.sockets.percent >=90}progress-bar-danger{elseif $resources.sockets.percent <=90 && $resources.sockets.percent >=70}progress-bar-warning{elseif $resources.sockets.percent <=70}progress-bar-success{/if}" 
             role="progressbar" aria-valuenow="{$resources.sockets.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.sockets.percent}%;">
            {$resources.sockets.percent}%
        </div>
    </div>
{/if}

{if $resources.cpu_weigh.total !==0}
    <div class="pm-resource-name">{$_LANG.cloud.cpu_weight}</div>
    <div  class="pm-resource-description">
        {$resources.cpu_weigh.used} {$_LANG.general.graph_of}  {if $resources.cpu_weigh.total == "0" || $resources.cpu_weigh.total == "" ||$resources.cpu_weigh.total == "0 B"} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.cpu_weigh.total} </strong> {$_LANG.general.graph_used} /   {$resources.cpu_weigh.free} {$_LANG.general.graph_free}{/if}
    </div>
    <div class="pm-resource-usege">
        <div class="progress pm-resource-usege">
            <div class="progress-bar {if $resources.$resources.cpu_weigh.percent.percent >=90}progress-bar-danger{elseif $resources.storage.percent <=90 && $resources.cpu_weigh.percent >=70}progress-bar-warning{elseif $resources.cpu_weigh.percent <=70}progress-bar-success{/if}" 
                 role="progressbar" aria-valuenow="{$resources.cpu_weigh.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.cpu_weigh.percent}%;">
                {$resources.cpu_weigh.percent}%
            </div>
        </div>
    </div>
{/if}
<div class="pm-resource-name"> {$_LANG.cloud.memory}</div>
<div  class="pm-resource-description"> 
    {$resources.memory.used} {$_LANG.general.graph_of}  {if $resources.memory.total == "0" || $resources.memory.total == "" ||$resources.memory.total == "0 B"} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.memory.total} </strong> {$_LANG.general.graph_used} /   {$resources.memory.free} {$_LANG.general.graph_free}{/if}
</div>
<div class="progress pm-resource-usege">
    <div class="progress-bar {if $resources.memory.percent >=90}progress-bar-danger{elseif $resources.memory.percent <=90 && $resources.memory.percent >=70}progress-bar-warning{elseif $resources.memory.percent <=70}progress-bar-success{/if}" 
         role="progressbar" aria-valuenow="{$resources.memory.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.memory.percent}%;">
        {$resources.memory.percent}%
    </div>
</div>

{if $virtualization_type=="OpenVZ"}

    <div class="pm-resource-name">{$_LANG.cloud.swap}</div>
    <div  class="pm-resource-description">
        {$resources.swap.used} {$_LANG.general.graph_of}  {if $resources.swap.total == "0" || $resources.swap.total == "" ||$resources.swap.total == "0 B"} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.swap.total} </strong> {$_LANG.general.graph_used} /   {$resources.swap.free} {$_LANG.general.graph_free}{/if}          
    </div>
    <div class="progress pm-resource-usege">
        <div class="progress-bar {if $resources.swap.percent >=90}progress-bar-danger{elseif $resources.swap.percent <=90 && $resources.swap.percent >=70}progress-bar-warning{elseif $resources.swap.percent <=70}progress-bar-success{/if}" 
             role="progressbar" aria-valuenow="{$resources.swap.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.swap.percent}%;">
            {$resources.swap.percent}%
        </div>
    </div>
{/if}

<div class="pm-resource-name">{$_LANG.cloud.disk_space}</div>
<div  class="pm-resource-description">
    {$resources.storage.used} {$_LANG.general.graph_of}  {if $resources.storage.total == "0" || $resources.storage.total == "" ||$resources.storage.total == "0 B"} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.storage.total} </strong> {$_LANG.general.graph_used} /   {$resources.storage.free} {$_LANG.general.graph_free}{/if}
</div>
<div class="progress pm-resource-usege">
    <div class="progress-bar {if $resources.storage.percent >=90}progress-bar-danger{elseif $resources.storage.percent <=90 && $resources.storage.percent >=70}progress-bar-warning{elseif $resources.storage.percent <=70}progress-bar-success{/if}" 
         role="progressbar" aria-valuenow="{$resources.storage.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.storage.percent}%;">
        {$resources.storage.percent}%
    </div>
</div>

<div class="pm-resource-name">{$_LANG.cloud.backup_size}</div>
<div  class="pm-resource-description">
    {$resources.backup_size.used} {$_LANG.general.graph_of} {if $resources.backup_size.total == "0 B" || $resources.backup_size.total == ""} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.backup_size.total} </strong> {$_LANG.general.graph_used} /   {$resources.backup_size.free} {$_LANG.general.graph_free}{/if}
</div>
<div class="progress pm-resource-usege">
    <div class="progress-bar {if $resources.backup_size.percent >=90}progress-bar-danger{elseif $resources.backup_size.percent <=90 && $resources.backup_size.percent >=70}progress-bar-warning{elseif $resources.backup_size.percent <=70}progress-bar-success{/if}" 
         role="progressbar" aria-valuenow="{$resources.backup_size.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.backup_size.percent}%;">
        {$resources.backup_size.percent}%
    </div>
</div>

<div class="pm-resource-name">{$_LANG.cloud.backup_files}</div>
<div  class="pm-resource-description">
    {$resources.backups_files.used} {$_LANG.general.graph_of}  {if $resources.backups_files.total == "0" || $resources.backups_files.total == ""} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.backups_files.total} </strong> {$_LANG.general.graph_used} /   {$resources.backups_files.free} {$_LANG.general.graph_free}{/if}
</div>
<div class="progress pm-resource-usege">
    <div class="progress-bar {if $resources.backups_files.percent >=90}progress-bar-danger{elseif $resources.backups_files.percent <=90 && $resources.backups_files.percent >=70}progress-bar-warning{elseif $resources.backups_files.percent <=70}progress-bar-success{/if}" 
         role="progressbar" aria-valuenow="{$resources.backups_files.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.backups_files.percent}%;">
        {$resources.backups_files.percent}%
    </div>
</div>

<div class="pm-resource-name">{$_LANG.cloud.bandwidth}</div>
<div  class="pm-resource-description">
    {$resources.bandwidth.used} {$_LANG.general.graph_of}  {if $resources.bandwidth.total == "0" || $resources.bandwidth.total == "" ||$resources.bandwidth.total == "0 B"} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.bandwidth.total} </strong> {$_LANG.general.graph_used} /   {$resources.bandwidth.free} {$_LANG.general.graph_free}{/if}
</div>
<div class="progress pm-resource-usege">
    <div class="progress-bar {if $resources.bandwidth.percent >=90}progress-bar-danger{elseif $resources.bandwidth.percent <=90 && $resources.bandwidth.percent >=70}progress-bar-warning{elseif $resources.bandwidth.percent <=70}progress-bar-success{/if}" 
         role="progressbar" aria-valuenow="{$resources.bandwidth.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.bandwidth.percent}%;">
        {$resources.bandwidth.percent}%
    </div>
</div>

{if $isIPv4}
    <div class="pm-resource-name">{$_LANG.cloud.ipv4_addresses}</div>
    <div  class="pm-resource-description">
        {$resources.ips.used} {$_LANG.general.graph_of}  {if $resources.ips.total == "0" || $resources.ips.total == ""} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.ips.total} </strong> {$_LANG.general.graph_used} /   {$resources.ips.free} {$_LANG.general.graph_free}{/if}
    </div>
    <div class="progress pm-resource-usege">
        <div class="progress-bar {if $resources.ips.percent >=90}progress-bar-danger{elseif $resources.ips.percent <=90 && $resources.ips.percent >=70}progress-bar-warning{elseif $resources.ips.percent <=70}progress-bar-success{/if}" 
             role="progressbar" aria-valuenow="{$resources.ips.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.ips.percent}%;">
            {$resources.ips.percent}%
        </div>
    </div>
{/if}

{if $isIPv6}
    <div class="pm-resource-name">{$_LANG.cloud.ipv6_addresses}</div>
    <div  class="pm-resource-description">
        {$resources.ipsv6.used} {$_LANG.general.graph_of}  {if $resources.ipsv6.total == "0" || $resources.ipsv6.total == ""} <strong> {$_LANG.general.unlimited}  </strong> {else}  <strong>  {$resources.ipsv6.total} </strong> {$_LANG.general.graph_used} /   {$resources.ipsv6.free} {$_LANG.general.graph_free}{/if}
    </div>
    <div class="progress pm-resource-usege">
        <div class="progress-bar {if $resources.ipsv6.percent >=90}progress-bar-danger{elseif $resources.ipsv6.percent <=90 && $resources.ipsv6.percent >=70}progress-bar-warning{elseif $resources.ipsv6.percent <=70}progress-bar-success{/if}" 
             role="progressbar" aria-valuenow="{$resources.ipsv6.percent}" aria-valuemin="1" aria-valuemax="100" style="width: {$resources.ipsv6.percent}%;">
            {$resources.ipsv6.percent}%
        </div>
    </div>
{/if}              
<br/><br/>
{*Delete one*}
<div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
    <form method="post">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">{$closeChar}</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.general.labelDelete} <strong></strong></h4>
                </div>

                <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                <div  style="margin: 30px;  margin-top: 50px;  text-align: center;"> 
                    <div>{$_LANG.cloud.vm_delete} </div>
                </div>
                <div class="modal-loader" style="display:none"></div>
                <div  style="margin: 60px; "></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pm-delete"    name="subaction"   value="delete" >{$_LANG.cloud.delete}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                </div>

            </div>
        </div>
    </form>
</div>

{literal}
    <style type="text/css">
        .pm-resource-name{
            float: left;
        }
        .pm-resource-usege{
            clear: both; width: 100%;
        }
        .pm-resource-description{
            float: right;
        }
        #mg-wrapper .progress {
            margin-bottom: 10px;
        }
        .pm_slider {width:400px;float:left;margin: 8px 10px 0 5px;}
        .progress-percent {position: absolute;top: 0;width:100%;text-align: left; font-weight:bold;}
    </style>
    <script type="text/javascript">


        jQuery(document).ready(function () {


            $(".pm-pre-delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });

            $(".pm-delete").click(function (e) {
                e.preventDefault();
                $("#proxmox_module_output").html("<div style=\"margin:20px auto;\">{/literal}{$_LANG.cloud.please_wait}{literal}<br/><img src=\"modules/servers/proxmoxCloud/images/loading.gif\"></div>");

                JSONParser.request(
                        "deleteVM"
                        , {
                            "vm": $("#pm-modal-delete-target").val()
                        }
                , function (data) { //success
                    $("#pm-modal-delete").modal('hide');
                    location.reload();
                }, "#pm-modal-delete .modal-loader");
            });
        });

    </script>
{/literal}