{**********************************************************************
* ProxmoxCloud product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}


<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}

    <div class="alert alert-warning">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                <p>{$MGLANG->T('Saving changes will reboot the VM')}</p>
    </div>
    
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-editvm"></i>
        <h1>{$_LANG.cloud.edit_server}</h1>
        <p>{$_LANG.edit.description}</p>
    </div>
    <div class="module-body">
        <div class="section">


<form method="post" id="proxmox_add_form">
      <table class="table table-bordered table-striped solus_stats" style="width:100%;">
            <tr>
                  <td>{$_LANG.cloud.hostname}</td>
                  <td style="width:500px;">
                        <input type="text" name="cl_hostname" value="{$cl_hostname}" class="mg-slider-options" /></td>
            </tr>
            {if $virtualization_type eq 'OpenVZ' ||  $virtualization_type eq 'LXC'}
                  <tr>
                        <td>{$_LANG.cloud.ns1}</td>
                        <td><input type="text" name="cl_ns1" value="{$cl_ns1}" class="mg-slider-options" /></td>
                  </tr>
                  <tr>
                        <td>{$_LANG.cloud.ns2}</td>
                        <td><input type="text" name="cl_ns2"  value="{$cl_ns2}" class="mg-slider-options"  /></td>
                  </tr>

            {/if}
            <tr>
                  <td>{$_LANG.cloud.ram}</td>
                  <td><div class="so_slider"><div id="cl_slider_mem"></div></div><input type="text" class="cl_numeric" name="cl_memory" value="{$cl_memory}" /> MB</td>
            </tr>
            {if $virtualization_type eq 'KVM'}
                  <tr>
                        <td>{$_LANG.cloud.sockets}</td>
                        <td><div class="so_slider"><div id="cl_slider_sockets"></div></div><input type="text" class="cl_numeric" name="cl_sockets" value="{$cl_sockets}" /></td>
                  </tr>
            {/if}
            <tr>
                  <td>{$_LANG.cloud.cpu_cores} {if $virtualization_type eq 'KVM'} <small>{$_LANG.cloud.cpu_cores_ifo} </small> {/if}</td>
                  <td><div class="so_slider"><div id="cl_slider_cpu"></div></div><input type="text" class="cl_numeric" name="cl_cpu_cores" {if $virtualization_type eq 'KVM'} value="{$cl_cpu_cores/$cl_sockets}"  {else} value="{$cl_cpu_cores}" {/if}/></td>
            </tr>
            <tr {if $cpu_weight ===0} style="display:none;" {/if}>
                  <td>{$_LANG.cloud.cpu_weight}</td>
                  <td><div class="so_slider"><div id="cl_slider_cpu_weigh"></div></div><input type="text" class="cl_numeric" name="cl_cpu_weight" value="{$cl_cpu_weight}" /></td>
            </tr>
            {if $virtualization_type eq 'OpenVZ'}
                  <tr>
                        <td>{$_LANG.cloud.swap}</td>
                        <td><div class="so_slider"><div id="cl_slider_swap"></div></div><input type="text" class="cl_numeric" name="cl_swap" value="{$cl_swap}" /> MB</td>
                  </tr>
            {/if}

            <tr>
                  <td>{$_LANG.cloud.disk_space}</td>
                  <td><div class="so_slider"><div id="cl_slider_dis"></div></div><input type="text" class="cl_numeric" name="cl_disk_space" value="{$cl_disk_space}" /> GB</td>
            </tr>
            {if $isIPv4}
            <tr>
			<td>{$_LANG.cloud.ipv4_addresses}</td>
			<td><div class="so_slider"><div id="cl_slider_ips"></div></div><input type="text" class="cl_numeric" name="cl_ips" value="{$cl_ips}" /></td>
            </tr>
            {/if}
            {if $isIPv6}
	     <tr>
			<td>{$_LANG.cloud.ipv6_addresses}</td>
			<td><div class="so_slider"><div id="cl_slider_ipsv6"></div></div><input type="text" class="cl_numeric" name="cl_ipsv6" value="{$cl_ipsv6}" /></td>
            </tr>
            {/if}
      </table>
      <p style="text-align:  right; ">               
            <input type="submit" value="{$_LANG.general.save}" class="btn btn-large btn-primary" />
            <span id="mg-loader-add" style="display:none;"><i class="loader-small" style="margin-top: 9px;"></i></span>
      </p>
</form>

        </div>
    </div>
</div>


{literal}
    <style type="text/css">
        .cl_numeric {width:50px;overflow:hidden;}
        .so_slider {width:390px;float:left;margin: 8px 10px 0 5px;}
        .mg-slider-options{
            min-width:400px;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {


            var $mem = $( "#cl_slider_mem" );
            var $cpu = $( "#cl_slider_cpu" );
            var $dis = $( "#cl_slider_dis" );
            var $ban = $( "#cl_slider_ban" );
            var $ips = $( "#cl_slider_ips" );
            var $ipsv6 = $( "#cl_slider_ipsv6" );
            var $cpu_weight = $( "#cl_slider_cpu_weigh" );
            var $backup_size = $( "#cl_slider_backup_size" );
            var $backup_files = $( "#cl_slider_backup_files" );
            var $swap = $( "#cl_slider_swap" );
            var $sockets= $( "#cl_slider_sockets" );

            $('.close').click(function(){$(".so_alert").remove();});

            var mem_stats = {"max": {/literal}{$maxes.mem}{literal}, "value": $mem.closest("td").find("input").val()};

            var slider_mem = $mem.slider({
                    min: {/literal}{$vmLimit.memory.min}{literal},
                    max: mem_stats.max,
                    range: "min",
                    value: mem_stats.value,
                    slide: function( event, ui ) { $("input[name=cl_memory]").val(ui.value); }
            });
            $cpu.slider({
                    min: {/literal}{$vmLimit.cores.min}{literal},
                    max: {/literal}{$maxes.cores}{literal},
                    range: "min",
                    value: $cpu.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_cpu_cores]").val(ui.value); }
            });
            $dis.slider({
                    min: {/literal}{$vmLimit.storage.min}{literal},
                    max: {/literal}{$maxes.storage}{literal},
                    range: "min",
                    value: $dis.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_disk_space]").val(ui.value); }
            }); 
            $ban.slider({
                    min: 1,
                    max: {/literal}{$maxes.bandwidth}{literal},
                    range: "min",
                    value: $ban.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_bandwidth]").val(ui.value); }
            });
            $ips.slider({
                    min: 1,
                    max: {/literal}{$maxes.ips}{literal},
                    range: "min",
                    value: $ips.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_ips]").val(ui.value); }
            });
           {/literal}{if $isIPv6}{literal}
           $ipsv6.slider({
                    min: 0,
                    max: {/literal}{$maxes.ipsv6}{literal},
                    range: "min",
                    value: $ipsv6.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_ipsv6]").val(ui.value); }
            });
           {/literal}{/if}{literal}
            $cpu_weight.slider({
                    min: 100,
                    max: {/literal}{$maxes.cpuweigh}{literal},
                    range: "min",
                    value: $cpu_weight.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_cpu_weight]").val(ui.value); }
            });
            $swap.slider({
                    min: 100,
                    max: {/literal}{$maxes.swap}{literal},
                    range: "min",
                    value: $swap.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_swap]").val(ui.value); }
            });
            $backup_size.slider({
                    min: 0,
                    max: {/literal}{$maxes.backups_size}{literal},
                    range: "min",
                    value: $ips.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_backup_size]").val(ui.value); }
            });
           $backup_files.slider({
                    min: 0,
                    max: {/literal}{$maxes.backups_files}{literal},
                    range: "min",
                    value: $ips.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_backup_files]").val(ui.value); }
            });
            $sockets.slider({
                    min: {/literal}{$vmLimit.sockets.min}{literal},
                    max: {/literal}{$maxes.sockets}{literal},
                    range: "min",
                    value: $sockets.closest("td").find("input").val(),
                    slide: function( event, ui ) { $("input[name=cl_sockets]").val(ui.value); }
            });
            if (parseInt(mem_stats.value) > parseInt(mem_stats.max))
                    $mem.closest("td").find("input").val( parseInt(mem_stats.max) );

            $('input[name=cl_memory], input[name=cl_cpu_cores], input[name=cl_disk_space], input[name=cl_ips], input[name=cl_ipsv6], input[name=cl_cpu_weight], input[name=cl_swap],input[name=cl_sockets]').change(function(){
                    $(this).closest('td').find('.so_slider div').slider( "value", $(this).val() );
            });
           {/literal}{if $virtualization_type eq 'KVM'} {literal}
           //kvm only
            $( "#cl_slider_sockets" ).slider({
                change: function( event, ui ) {
                      var sockets = ui.value;
                      var totalCoresPerSocket = {/literal}{$maxes.cores}{literal};
                      var cores =  $("input[name=cl_cpu_cores]").val();
                      var totalCores = cores * ui.value;
                      $cpu.slider( "option", "max", parseInt(totalCoresPerSocket / sockets) );
                      $("input[name=cl_cpu_cores]").val($cpu.slider( "option", "min" ));

                }
          });
          {/literal}{/if}{literal}
            function isInt(value){
                    var er = /^[0-9]+$/;
                    return ( er.test(value) ) ? true : false;
            }
            $("#proxmox_add_form").submit(function(e){
                 e.preventDefault();
                    var ret = true;
                    $(this).find(".cl_numeric").each(function(){
                            var v = $(this).val();
                            if (!isInt( v )){
                                    ret = false;
                                    alert("\""+v+"\" is not a full numeric value!");
                            }
                    });
                    if(ret!==true)
                    return false;


                    JSONParser.request(
                            'editProcess'
                            , $("#proxmox_add_form").serialize()
                    , function (data) {
  
                        if(data.error){
                            jQuery('#MGAlerts').alerts('danger', data.error);
                            return;
                        }
                        if(data.success)
                            jQuery('#MGAlerts').alerts('success', data.success);
                },"#mg-loader-add");
                

            });
        });
    </script>
{/literal}