{**********************************************************************
* ProxmoxCloud product developed. (2015-08-07)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}


{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
* @params $_LANG, $prod_permissions, $mainURL
*}

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-vps-details"></i>
        <h1>{$_LANG.cloud.details}</h1>
        <p>{$_LANG.details.description}</p>
    </div>
    <div class="module-body">
        <div class="section">
            <table class="table" style="width:100%;">
                <tr>
                    <td style="width:120px;">{$_LANG.cloud.status}</td>
                    <td>
                        <span id="proxmox_status">
                            {if $status.status == "Running"}
                                <strong style="color:green;">{$status.status}</strong>
                            {else}
                                <strong style="color:red;">{$status.status}</strong>
                            {/if}
                        </span>

                        <span id="pm-vps-details-loader" style="display: none;" ><i class="loader-small"></i></span>
                    </td>
                </tr>
                <tr>
                    <td style="width:200px;">{$_LANG.cloud.node}</td>
                    <td>{$node}</td>
                </tr>
                {if $virtualization=="KVM"}
                    <tr>
                        <td style="width:200px;">{$_LANG.cloud.hostname}</td>
                        <td>{$status.name}</td>
                    </tr>
                {/if}
                {if $virtualization=="OpenVZ"}
                    <tr>
                        <td style="width:200px;">{$_LANG.cloud.hostname} </td>
                        <td>
                            <span id="so_hostname_value">{$status.name}</span>
                            <a href="#" class="btn btn-mini btn-primary" id="btn_show_hostname">{$_LANG.cloud.change}</a>
                            <input type="text" id="so_hostname" value="{$status.name}" style="display:none;" />
                            <a href="#" class="btn btn-mini btn-primary" id="btn_change_hostname" style="display:none;">{$_LANG.cloud.change_hostname}</a>
                        </td>
                    </tr>
                {/if}
                {if $config.ostemplate}
                    <tr>
                        <td style="width:200px;">{$_LANG.cloud.template}</td>
                        <td>{$config.ostemplate}</td>
                    </tr>
                {/if}
                {if $status.uptime}
                    <tr>
                        <td>{$_LANG.cloud.uptime}</td>
                        <td>{$status.uptime}</td>
                    </tr>
                {/if}
                <tr>
                    <td>{$_LANG.cloud.cpu_usage}</td>
                    <td>{$status.cpu} % {$_LANG.general.graph_of} {$status.cpus} Cores {if $status.cpuunits} - {$_LANG.cloud.cpu_units}: {$status.cpuunits}{/if}</td>
                </tr>
                <tr>
                    <td>{$_LANG.cloud.memory}  </td>
                    <td>{if $kvm_balloon} 
                        {$_LANG.cloud.dedicated}: {$status.balloon_min}  {$_LANG.cloud.burst}:  {$status.maxmem} {$_LANG.general.usage}: {$status.mem}
                        {else}
                            {$_LANG.general.total}: {$status.maxmem} {$_LANG.general.usage}: {$status.mem}
                            <div class="progress pm-resource-usege">
                                <div class="progress-bar {if $status.memPercent >=90}progress-bar-danger{elseif $status.memPercent <=90 && $status.memPercent >=70}progress-bar-warning{elseif $status.memPercent <=70}progress-bar-success{/if}" 
                                     role="progressbar" aria-valuenow="{$status.memPercent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.memPercent}%;">
                                    {$status.memPercent}%
                                </div>
                            </div>
                        {/if}
                    </td>
                </tr>
                {if $virtualization=="OpenVZ"}
                    <tr>
                        <td>{$_LANG.cloud.swap}</td>
                        <td> 
                            {$_LANG.general.total}: {$status.maxswap} {$_LANG.general.usage}: {$status.swap}
                            <div class="progress pm-resource-usege">
                                <div class="progress-bar {if $status.swapPercent >=90}progress-bar-danger{elseif $status.swapPercent <=90 && $status.swapPercent >=70}progress-bar-warning{elseif $status.swapPercent <=70}progress-bar-success{/if}" 
                                     role="progressbar" aria-valuenow="{$status.swapPercent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.swapPercent}%;">
                                    {$status.swapPercent}%
                                </div>
                            </div>

                        </td>
                    </tr>
                    <tr>
                        <td>{$_LANG.cloud.disk}</td>
                        <td> 
                            {$_LANG.general.total}: {$status.maxdisk} {$_LANG.general.usage}: {$status.disk}
                            <div class="progress pm-resource-usege">
                                <div class="progress-bar {if $status.diskPercent >=90}progress-bar-danger{elseif $status.diskPercent <=90 && $status.diskPercent >=70}progress-bar-warning{elseif $status.diskPercent <=70}progress-bar-success{/if}" 
                                     role="progressbar" aria-valuenow="{$status.diskPercent}" aria-valuemin="1" aria-valuemax="100" style="width: {$status.diskPercent}%;">
                                    {$status.diskPercent}%
                                </div>
                            </div>

                        </td>
                    </tr>
                    {if $config.searchdomain}
                        <tr>
                            <td>{$_LANG.cloud.dns} </td>
                            <td> {$config.searchdomain}</td>
                        </tr>
                    {/if}

                {/if}
                        {if $networkRate}
                            <tr>
                                <td>{$_LANG.cloud.Network_Rate}</td>
                                <td> {$networkRate} </td>
                            </tr>
                        {/if}
                        {if $virtualization=="KVM" && $vlan_tag}
                            <tr>
                                <td style="width:200px;">{$_LANG.cloud.vlan_tag}</td>
                                <td>{$vlan_tag}</td>
                            </tr>
                        {/if}
                        {if $virtualization=="KVM" && $cdrom.iso}
                            <tr>
                                <td style="width:200px;" nowrap>{$_LANG.home.disc}</td>
                                <td>
                                    <span id="mg-cd-dvd-rom-iso">{$cdrom.iso}</span>
                                    <a href="#" class="btn btn-icon" id="pm-change-iso"  title="{$_LANG.general.edit}" >
                                        <i class="fa fa-pencil"></i>
                                    </a>
                                </td>
                            </tr>
                        {/if} 
                        {if $virtualization=="KVM" && $bootOrder}

                            <tr>
                                <td>{$_LANG.home.bootOrder}</td>

                                <td>

                                    <div id="pm-vm-boot-order" style="display:inline">
                                        {$bootOrder}
                                    </div>
                                    <a href="#" class="btn btn-icon" id="pm-change-boot"  title="{$_LANG.general.edit}" >
                                        <i class="fa fa-pencil"></i>
                                    </a>
                                </td>
                            </tr>
                        {/if} 
                        {if $virtualization=="OpenVZ"}
                            <tr>
                                <td>{$_LANG.cloud.root_password}</td>
                                <td>   
                                    <span id="so_root" style="display:none;">{$rootPassword}</span>
                                    <a id="so_root_show" class="btn btn-mini btn-primary" href="">{$_LANG.cloud.root_pass_show}</a>
                                </td>
                            </tr>
                        {/if}
                    </table>  

            {if $ips}
                <h4 class="text-center mb-20">
                    {$_LANG.cloud.ip_addresses}
                </h4>
                <table class="table table-hover" style="width:100%;">
                    <thead>
                    <tr>
                        <th style="width:100px;">{$_LANG.cloud.ip_address}</th>
                        <th>{$_LANG.cloud.mac_address}</th>
                        <th>{$_LANG.cloud.subnet_mask}</th>
                        <th>{$_LANG.cloud.gateway}</th>
                    </tr>
                    </thead>
                    {foreach from=$ips item=ip}

                        <tr>
                            <td nowrap>{$ip.ip} </td>
                            <td>{$ip.mac_address}</td>
                            <td>{$ip.subnet_mask}</td>
                            <td>{$ip.gateway}</td>
                        </tr>
                    {/foreach}
                </table>
            {/if}
        </div>
        
     {*modal-cd-dvd*}
     <div class="modal fade bs-example-modal-lg" id="pm-modal-cd-dvd" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
         <form method="post">
             <div class="modal-dialog">
                 <div class="modal-content">
                     <div class="modal-header">
                         <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                         <h4 class="modal-title" id="pm-modal-delete-label" style="text-align:left">{$MGLANG->T('Edit: CD/DVD')} <strong></strong></h4>
                     </div>
                     <div class="modal-body" >
                         <div class="modal-alerts">
                             <div class="alertContainer">
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-danger" role="alert">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                        <a style="display:none;" class="errorID" href=""></a>
                                    </div>
                                </div>
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-success">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                         </div>
                         <div style="margin-top:50px; margin-bottom: 55px;">
                             <div class="form-horizontal" id="pm-form-change-iso">

                             </div>
                             <div class="modal-loader" style="display:none;"></div>
                         </div>
                     </div>
                     <div class="modal-footer">
                         <button type="submit" class="btn btn-primary disabled"  id="pm-save-iso"   name="subaction"   value="delete" >{$_LANG.general.save}</button>
                         <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                     </div>
                 </div>
             </div>
         </form>
     </div>
     {*modal-boot-order*}
     <div class="modal fade bs-example-modal-lg" id="modal-boot-order" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
         <form method="post">
             <div class="modal-dialog">
                 <div class="modal-content">
                     <div class="modal-header">
                         <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                         <h4 class="modal-title" id="pm-modal-delete-label" style="text-align:left">{$MGLANG->T('Edit: Boot Order')} <strong></strong></h4>
                     </div>
                     <div class="modal-body" >
                         <div class="modal-alerts">
                             <div class="alertContainer">
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-danger" role="alert">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                        <a style="display:none;" class="errorID" href=""></a>
                                    </div>
                                </div>
                                <div class="alertPrototype" style="display:none;">
                                    <div class="alert alert-success">
                                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                         </div>
                         <div style="margin-top:50px; margin-bottom: 55px;">
                             <div class="form-horizontal">

                             </div>
                             <div class="modal-loader" style="display:none;"></div>
                         </div>
                     </div>
                     <div class="modal-footer">
                         <button type="submit" class="btn btn-primary disabled mg-save"  name="subaction"   >{$_LANG.general.save}</button>
                         <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                     </div>
                 </div>
             </div>
         </form>
     </div>
    </div>
</div>

{literal}
    <style type="text/css">
        .green {font-weight:bold;color:green;}
        .red {font-weight:bold;color:red}

        .pm-stats td{ text-align: left;}
        .pm-resource-usege{
            clear:both; 
            width:40% !important;
            margin-bottom: 2px !important;
        }
    </style>
    <script type="text/javascript">

        function proxmoxDetailsVM() {
            JSONParser.request(
                    "detailsVM"
                    , {}
            , function (data) {
                if (data.status == "Running")
                    jQuery("#proxmox_status").html('<span class="green">' + data.status + '</span>');
                else
                    jQuery("#proxmox_status").html('<span class="red">' + data.status + '</span>');

            }, "#pm-vps-details-loader"
                    );
        }


        jQuery(document).ready(function () {

            $('.proxmox-vm-action ').click(function (e) {
                if ($(this).hasClass('disabled'))
                    return false;
                e.preventDefault();
                var obj = $(this);
                jQuery(obj).buttonLoader(true);
                var subaction = $(this).attr('data-subaction');
                JSONParser.request(
                        subaction
                        , {}
                , function (data) {
                    jQuery(obj).buttonLoader(false);
                    if (data.message)
                        jQuery('#MGAlerts').alerts('success', data.message);
                    proxmoxDetailsVM();

                },
                        "off");
            });

            setInterval("proxmoxDetailsVM()", 60000);//60 seconds

            //hostname 
            $('#btn_show_hostname').click(function () {
                $('#so_hostname, #btn_change_hostname').show();
                $(this).hide();
                $('#so_hostname_value').hide();
                return false;
            });

            // change host name
            $('#btn_change_hostname').click(function (e) {
                if ($(this).hasClass('disabled'))
                    return false;
                e.preventDefault();
                var obj = $(this);
                jQuery(obj).buttonLoader(true);

                JSONParser.request(
                        "changeHostname"
                        , {
                            "hostname": $('#so_hostname').val()
                        }
                , function (data) { //success
                    jQuery(obj).buttonLoader(false);
                    if (data.message)
                        jQuery('#MGAlerts').alerts('success', data.message);
                    $('#so_hostname_value').html($('#so_hostname').val()).show();
                    $('#so_hostname, #btn_change_hostname').hide();
                    $('#btn_show_hostname').show();
                },
                        "off"
                        , function (data) { //fail
                            jQuery(obj).buttonLoader(false);
                            if (data.error)
                                jQuery('#MGAlerts').alerts('danger', data.error);

                        });
            });

            //show iso
            $("#pm-change-iso").click(function (e) {
                e.preventDefault();
                $("#pm-modal-cd-dvd").modal();
                $("#pm-save-iso").addClass('disabled');
                $("#pm-form-change-iso").html('');
                JSONParser.request(
                        "getIso"
                        , {
                        }
                , function (data) { //success
                    $("#pm-form-change-iso").html(data.html);
                    $("#pm-save-iso").removeClass('disabled');
                },"#pm-modal-cd-dvd .modal-loader");
            });

            //save iso
            $("#pm-save-iso").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        "saveIso"
                        , {
                            "iso": $("#pm-select-iso").val()
                        }
                , function (data) { //success
                    $("#mg-cd-dvd-rom-iso").html(data.cdrom.iso);
                    if(data.msg)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.msg);
                }, "#pm-modal-cd-dvd .modal-loader");
            });

            //show form boot order
            $("#pm-change-boot").click(function (e) {
                e.preventDefault();
                $("#modal-boot-order").modal();
                $("#modal-boot-order .form-horizontal").html('');
                $("#modal-boot-order .mg-save").addClass('disabled');
                JSONParser.request(
                        "getBootOrder"
                        , {
                        }
                , function (data) { //success
                    $("#modal-boot-order .form-horizontal").html(data.html);
                    $("#modal-boot-order .mg-save").removeClass('disabled');
                }, "#modal-boot-order .modal-loader");
            });

            //save boot order
            $("#modal-boot-order .mg-save").click(function (e) {
                e.preventDefault();
                JSONParser.request(
                        "saveBootOrder"
                        , {
                            "boot1": $("#pm-select-boot1").val(),
                            "boot2": $("#pm-select-boot2").val(),
                            "boot3": $("#pm-select-boot3").val(),
                        }
                , function (data) { //success
                    if(data.modalError){
                        jQuery('.modal.in .modal-alerts').alerts('danger', data.modalError);
                        return;
                    }
                    $("#pm-vm-boot-order").html(data.bootOrder);
                    if(data.msg)
                        jQuery('.modal.in .modal-alerts').alerts('success', data.msg);
                }, "#modal-boot-order .modal-loader");
            });

            $('#so_root_show').click(function () {
                $('#so_root').show();
                $(this).hide();
                return false;
            });
        });

    </script>
{/literal}