{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}


<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-network"></i>
        <h1>{$_LANG.network.header}</h1>
        <p>{$_LANG.network.description}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
                        {if $isProxmox4 && $virtualization=="LXC"}
                <table class="table table-app">
                    <thead>
                        <tr>
                            <th>{$MGLANG->T('ID')}</th>
                            <th>{$MGLANG->T('name')}</th>
                            <th>{$MGLANG->T('bridge')}</th>
                            <th>{$MGLANG->T('firewall')}</th>
                            <th>{$MGLANG->T('VLAN Tag')}</th>
                            <th>{$MGLANG->T('MAC Address')}</th>
                            <th>{$MGLANG->T('IP Address')}</th>
                            <th>{$MGLANG->T('Gateway')}</th>
                            <th style="width:50px; text-align: center;">{$_LANG.network.action}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach from=$networks item=network}

                            <tr style="">
                                <td> {$network->id}</td>
                                <td>{$network->ifname} &nbsp;</td>  
                                <td>{$network->bridge} &nbsp;</td>  
                                <td>{if $network->firewall}<i class="icon icon-status_green"></i>{else}<i class="icon icon-status_red"></i>{/if}&nbsp;</td>  
                                <td>{if !$network->tag} - {else}{$network->tag}{/if} &nbsp;</td>  
                                <td>{$network->mac} &nbsp;</td>  
                                <td>{$network->ip} <br/> {$network->ip6} &nbsp;</td>  
                                <td>{if !$network->gw && !$network->gw6} - {else} {$network->gw} <br/> {$network->gw6}{/if} &nbsp;</td>  
                                {if $virtualization eq "KVM"}  <td>{$network->tag} &nbsp;</td>  {/if}
                                <td style="text-align: center;">  &nbsp; 
                                    {if $network->type != "ip_address" && $isPrivateNetwork && $network->bridge|in_array:$bridges} 

                                        <a class="btn btn-icon pm_delete" href="#" data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$network->id}" data-modal-title="{$network->id}" title="{$_LANG.vps.delete}">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    {else}
                                        -
                                    {/if} 
                                </td>
                            </tr>
                            
                        {foreachelse}
                            <tr>
                                <td class="cell-sm-12" colspan="9">
                                    {$_LANG.network.empty}
                                </td>
                            </tr>
                        {/foreach}
                    </tbody>
                    </table>
            {else}
            <table class="table table-app">
                <thead>
                    <tr>
                        <th>{$_LANG.network.type}</th>
                        <th>{$_LANG.network.name}</th>
                        <th>{$_LANG.network.bridge}</th>
                        <th>{$_LANG.network.mac} </th>
                            {if $virtualization eq "KVM"}
                            <th>{$_LANG.network.tag}</th>
                            {/if}
                        <th style="width:80px; text-align: center;">{$_LANG.network.action}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach from=$networks item=network}

                        <tr style="">
                            <td >{if  $network->type eq "ip_address"}   {$_LANG.network.type_ip} {else}  {$_LANG.network.type_device} {/if}</td>
                            <td>{$network->ifname} &nbsp;</td>  
                            <td>{$network->bridge} &nbsp;</td>  
                            <td>{$network->mac} &nbsp;</td>  
                            {if $virtualization eq "KVM"}  <td>{$network->tag} &nbsp;</td>  {/if}
                            <td style="text-align: center;">  &nbsp; 
                                {if $network->type != "ip_address" && $isPrivateNetwork && $network->bridge|in_array:$bridges} 

                                    <a class="btn btn-icon pm_delete" href="#" data-toggle="modal" data-target="#pm-modal-delete" data-modal-target="{$network->ifname}" data-modal-title="{$network->ifname}" title="{$_LANG.cloud.delete}">
                                        <i class="fa fa-trash"></i>
                                    </a>
                                {/if} 
                            </td>
                        </tr>
                    {foreachelse}
                        <tr>
                            <td class="cell-sm-12" {if $virtualization eq "KVM"}  colspan="8" {else}  colspan="7" {/if}>
                                {$_LANG.network.empty}
                            </td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
            {/if}
            {if $bridges && !$isPrivateNetwork}
                <div style="text-align: right;" class="proxmoxButtonNew" >
                    <input type="button" name='act' value="{$_LANG.network.new}" class="btn btn-large btn-success" data-toggle="modal" data-target="#pm-modal-add" />
                </div>
            {/if}
            <br/><br/>

        </div>

        <!-- pm-modal-add-->
        <div class="modal fade" id="pm-modal-add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <form method="post">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <h4 id="modal2_header">{$_LANG.network.new}</h4>
                        </div>
                        <div class="modal-body">                  
                            <table class="table table-bordered table-striped solus_stats" style="width:100%;">
                                <tr>
                                    <td style="width:25%;"> 
                                        <label for="bridge" class="control-label" style="display:inline;float:none;">{$_LANG.network.bridge} </label>
                                    </td>
                                    <td>
                                        <select name="network[bridge]" id="bridge" style="min-width: 105px;">
                                            {foreach from=$bridges item=bridge}
                                                <option value="{$bridge}">{$bridge}</option>
                                            {/foreach}   
                                        </select>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="create" >{$_LANG.general.add}</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>

        {*Delete one*}
        <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
            <form method="post">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <h4 class="modal-title" id="pm-modal-delete-label">{$_LANG.network.labelDelete} <strong></strong></h4>
                        </div>
                        
                        <input type="hidden" name="target" value="" id="pm-modal-delete-target">
                        <div  style="margin: 30px;  margin-top: 50px;  text-align: center;"> 
                            <div>{$_LANG.network.delete} </div>
                        </div>
                        <div class="modal-loader" style="display:none;"></div>
                        <div  style="margin: 60px; "></div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-danger"    name="subaction"   value="delete" >{$_LANG.cloud.delete}</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>

    </div>
</div>



{literal}

    <script type="text/javascript">
        $(document).ready(function () {

            $('#select-all').click(function (event) {
                var selected = this.checked;
                $('.select-me').each(function () {
                    this.checked = selected;
                });
            });


            $(".pm_delete").click(function () {
                $("#pm-modal-delete-target").val($(this).attr('data-modal-target'));
                $("#pm-modal-delete-label strong").html($(this).attr('data-modal-title'));
            });

        });
    </script>
{/literal}