{**********************************************************************
* ProxmoxVPS product developed. (2015-07-23)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-task_history"></i>
        <h1>{$_LANG.cloud.task_history}</h1>
        <p>{$_LANG.task.description}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table" id="pm-table-task-history">
                <thead>
                    <tr>
                        <th style="width:150px;">{$_LANG.cloud.start_time}</th>
                        <th style="width:150px;">{$_LANG.cloud.end_time}</th>
                        <th>{$_LANG.cloud.node}</th>
                        <th>{$_LANG.cloud.description}</th>
                        <th style="width:100px;">{$_LANG.cloud.status}</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
                    
            {*pm-modal-info*}
            <div class="modal fade bs-example-modal-lg" id="pm-modal-info" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <form method="post">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <h4 class="modal-title" id="pm-modal-info-label">{$_LANG.task.error_details} <strong></strong></h4>
                            </div>
                            
   
                            <div  style="margin: 30px; color:red"> 
                                <div id="pm-modal-error-content"> </div>
                            </div>
                            <div class="modal-loader" style="display:none"></div>
                            <div  style="margin: 60px; "></div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">{$_LANG.general.close}</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


{literal}
<style type="text/css">
        #pm-table-task-history_paginate{ margin-left: -50px;}
</style>

    <script type="text/javascript">
        var taDataTable;
        $(document).ready(function () {

            taDataTable = $('#pm-table-task-history').dataTable({
                processing: false,
                searching: true,
                autoWidth: false,
                "order": [[0, "desc"]],
                ajax: function (data, callback, settings) {
                    var filter = {
                        text: ''
                    };
                    JSONParser.request(
                            'getList'
                            , {
                                filter: filter
                                , limit: data.length
                                , offset: data.start
                            }
                    , function (data) {
                        callback(data);
                    }
                    );
                },
                'columns': [
                    , null
                            , {orderable: false, targets: 0}
                    , {orderable: false, targets: 0}
                    , null
                ],
                'aoColumnDefs': [{
                        'bSortable': false,
                        'aTargets': ['nosort']
                    }],
                language: {
                    "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                    "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                    "search": "{/literal}{$MGLANG->T('search')}{literal}",
                    "paginate": {
                        "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                        , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                    }
                }
            });
            

            
            $('body').on("click", ".pm-info",function () {
                $('#pm-modal-error-content').html('').html($(this).attr('data-modal-target'));
                $("#pm-modal-info-label strong").html($(this).attr('data-type'));
            });

        });
    </script>
{/literal}