{**********************************************************************
* Proxmox product developed. (2016-05-22)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>
<div id="mg-container">
    <div class="module-header">
        <i class="icon-header icon-network"></i>
        <h1>{$MGLANG->T('Templates')}</h1>
        <p>{$MGLANG->T('description')}</p>
    </div>
    <div class="module-body">
        <div class="section"> 
            <table class="table table-app" id="pm-table-privateNetworks">
                <thead>
                    <tr>
                        <th>{$MGLANG->T('Name')}</th>
                        <th>{$MGLANG->T('Description')}</th>
                        <th style="width:80px; text-align: center;">{$MGLANG->T('Actions')}</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>

            {if $vms|count}
                <div style="text-align: right;" class="proxmoxButtonNew" >
                    <input type="button" name='act' value="{$MGLANG->T('Add Template')}" class="btn btn-large btn-success" data-toggle="modal" data-target="#pm-modal-add" />
                </div>
            {else}
                <div style="text-align: right;" class="proxmoxButtonNew" >
                    <input type="button" name='act' value="{$MGLANG->T('Add Template')}" class="btn btn-large btn-success" data-toggle="modal" data-target="#pm-modal-add-empty" />
                </div>
            {/if}
            <br/><br/>

        </div>

        <!-- pm-modal-add-->
        <div class="modal fade" id="pm-modal-add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <form method="post">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <h4 id="modal2_header">{$MGLANG->T('New template')}</h4>
                        </div>
                        <div class="modal-body"> 
                            <div class="alert alert-warning" role="alert">
                                    <p>{$MGLANG->T('Server will be converted to a template')}</p>
                            </div>
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <label for="pm-server" class="col-sm-2 control-label">{$MGLANG->T('Server')}</label>
                                    <div class="col-sm-10">
                                        <select id="pm-server" name="template[vserverId]"  class="form-control">
                                            {foreach from=$vms item=name  key=key}
                                                <option value="{$key}">{$name}</option>
                                            {/foreach}
                                        </select> 
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="pm-description" class="col-sm-2 control-label">{$MGLANG->T('Description')}</label>
                                    <div class="col-sm-10">
                                        <textarea id="pm-description" name="template[description]" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary" name="subaction" id="modal2_button_submit"  value="create" >{$MGLANG->absoluteT('Save Changes')}</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('Close')}</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <!-- pm-modal-add-empty-->
        <div class="modal fade" id="pm-modal-add-empty" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <form method="post">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <h4 id="modal2_header">{$MGLANG->T('New template')}</h4>
                        </div>
                        <div class="modal-body"> 
                            <div class="alert alert-danger" role="alert">
                                    <p>{$MGLANG->T('You server list is empty. Create server first.')}</p>
                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('Close')}</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
                        
        <!-- pm-modal-edit-->
        <div class="modal fade" id="pm-modal-edit" tabindex="-1" data-modal-load="detail" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <form method="post">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <h4 id="modal2_header">{$MGLANG->absoluteT('Edit:')} <strong></strong></h4>
                        </div>
                        <div class="modal-body"> 
                            <input type="hidden" name="template[id]" data-target="id" value="">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <label for="pm-description" class="col-sm-2 control-label">{$MGLANG->T('Description')}</label>
                                    <div class="col-sm-10">
                                        <textarea id="pm-description" name="template[description]" class="form-control"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary" name="subaction"  >{$MGLANG->absoluteT('Save Changes')}</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('Close')}</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        {*Delete one*}
        <div class="modal fade bs-example-modal-lg" id="pm-modal-delete" tabindex="-1" role="dialog" aria-labelledby="pm-modal-delete-label" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <h4 class="modal-title" id="pm-modal-delete-label">{$MGLANG->absoluteT('Delete:')} <strong></strong></h4>
                        </div>

                        <input type="hidden" name="template[id]" data-target="id" value="">
                        <div  style="margin: 30px;  margin-top: 50px;  text-align: center;"> 
                            <div>{$MGLANG->T('delete_entery')}</div>
                        </div>
                        <div class="modal-loader" style="display:none;"></div>
                        <div  style="margin: 60px; "></div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger"    data-modal-action="delete" >{$MGLANG->absoluteT('Delete')}</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->absoluteT('Close')}</button>
                        </div>
                    </div>
                </div>
        </div>

    </div>
</div>



{literal}

    <script type="text/javascript">
        $(document).ready(function () {
            var taDataTable;

            taDataTable = $('#pm-table-privateNetworks').dataTable({
                processing: false,
                searching: true,
                autoWidth: false,
                "order": [[0, "desc"]],
                ajax: function (data, callback, settings) {
                    var filter = {
                        text: ''
                    };
                    JSONParser.request(
                            'list'
                            , {
                                filter: filter
                                , limit: data.length
                                , offset: data.start
                            }
                    , function (data) {
                        callback(data);
                    }
                    );
                },
                'columns': [
                    , {orderable: false, targets: 0}
                    , {orderable: false, targets: 0}
                    
                ],
                'aoColumnDefs': [{
                        'bSortable': false,
                        'aTargets': ['nosort']
                    }],
                language: {
                    "zeroRecords": "{/literal}{$MGLANG->absoluteT('No Available')}{literal}",
                    "infoEmpty": "{/literal}{$MGLANG->absoluteT('No Available Info')}{literal}",
                    "search": "{/literal}{$MGLANG->absoluteT('Search')}{literal}",
                    "paginate": {
                        "previous": "{/literal}{$MGLANG->absoluteT('Previous')}{literal}"
                        , "next": "{/literal}{$MGLANG->absoluteT('Next')}{literal}"
                    }
                }
            });
            
            //create
            $("#pm-modal-add form").submit(function(e){
                e.preventDefault();               
                JSONParser.request(
                            'create'
                            , $(this).serialize()
                    , function (data) {
                        
                       if(data.error){
                            jQuery('#MGAlerts').alerts('danger', data.error);
                            return;
                        }
                        if(data.success)
                            jQuery('#MGAlerts').alerts('success', data.success);
                        $("#pm-modal-add").modal("hide");
                    }
                );
            });
            
            
            $("#pm-modal-add, #pm-modal-delete, #pm-modal-edit").on('hidden.bs.modal', function () {
                var api = taDataTable.api();
                api.ajax.reload(function() {}, false);
            });
            
            $('#mg-container').MGModalActions();
            
            //Update
            $("#pm-modal-edit form").submit(function(e){
                e.preventDefault();               
                JSONParser.request(
                            'update'
                            , $(this).serialize()
                    , function (data) {
                        
                       if(data.error){
                            jQuery('#MGAlerts').alerts('danger', data.error);
                            return;
                        }
                        if(data.success)
                            jQuery('#MGAlerts').alerts('success', data.success);
                        $("#pm-modal-edit").modal("hide");
                    }
                );
            });
            
        });
    </script>
{/literal}